# makefile for all Storage Kit sample code

SUBMAKES = \
	BResourceSet

LEAFDIRS = \
	DriveDaemon \
	FolderWatcher \
	Indexer \
	LiveQueryApp \
	People \
	QueryApp

default .DEFAULT:
	-@for f in $(SUBMAKES); do \
		$(MAKE) -C $$f -f makefile.all $@; \
	done
	-@for f in $(LEAFDIRS); do \
		$(MAKE) -C $$f $@; \
	done
